<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('personal_information', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('employee_id')->index();
            $table->string('nickname', 25)->nullable();
            $table->text('current_address')->nullable();
            $table->text('permanent_address')->nullable();
            $table->text('provincial_address')->nullable();
            $table->string('birthplace', 50)->nullable();
            $table->string('contact_number_one', 50)->nullable();
            $table->string('email_add_one', 50)->nullable();
            $table->date('birth_date');
            $table->string('age', 50)->nullable();
            $table->string('contact_number_two', 50)->nullable();
            $table->string('email_add_two', 50)->nullable();
            $table->string('gender', 50)->nullable();
            $table->string('contact_number_three', 50)->nullable();
            $table->string('email_add_three', 50)->nullable();
            $table->string('religion', 50)->nullable();
            $table->string('tin', 50)->nullable();
            $table->string('philhealth', 50)->nullable();
            $table->string('citizenship', 50)->nullable();
            $table->string('sss', 50)->nullable();
            $table->string('pagibig', 50)->nullable();
            $table->string('civil_status', 50)->nullable();
            $table->string('hair_color', 50)->nullable();
            $table->string('blood_type', 50)->nullable();
            $table->string('eye_color', 50)->nullable();
            $table->string('height', 50)->nullable();
            $table->string('other_description', 50)->nullable();
            $table->string('weight', 50)->nullable();
            $table->string('complexion', 50)->nullable();
            $table->string('health_condition', 50)->nullable();
            $table->string('drivers_license', 50)->nullable();
            $table->string('restrictions', 50)->nullable();
            $table->string('type', 25)->nullable();
            $table->date('issued_date')->nullable();
            $table->date('expiry_date')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('personal_information');
    }
};
